subseq.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/seq/first_n.hpp>`
`#include <msgpack/preprocessor/seq/rest_n.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_SUBSEQ(seq, i, len) MSGPACK_PP_SEQ_SUBSEQ_I(seq, i, len)
#define | MSGPACK_PP_SEQ_SUBSEQ_I(seq, i, len) MSGPACK_PP_SEQ_FIRST_N(len, MSGPACK_PP_SEQ_REST_N(i, seq))

## Macro Definition Documentation

## MSGPACK_PP_SEQ_SUBSEQ

#define MSGPACK_PP_SEQ_SUBSEQ | ( |  | seq,
|  |  | i,
|  |  | len
| ) |  | MSGPACK_PP_SEQ_SUBSEQ_I(seq, i, len)

## MSGPACK_PP_SEQ_SUBSEQ_I

#define MSGPACK_PP_SEQ_SUBSEQ_I | ( |  | seq,
|  |  | i,
|  |  | len
| ) |  | MSGPACK_PP_SEQ_FIRST_N(len, MSGPACK_PP_SEQ_REST_N(i, seq))